Bug 1279053 - PackageKit-based apps do not honor priority-setting of a repo
PackageKit-based apps do not honor priority-setting of a repo
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 08:52 EST by MaxiPunkt
Modified: 2017-12-12 06:10 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:10:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MaxiPunkt 2015-11-07 08:52:52 EST
Description of problem:
On my system I'm using my own, local repo.
This repo has high priority-setting:

[repo-maxipunkt]
name=Repo-MaxiPunkt for Fedora $releasever - $basearch
baseurl=file:///var/cache/repo-maxipunkt/
enabled=1
priority=1
...
...

It happens that there is a package-duplicate with newer version and/or release-No. available in the official Fedora-repos.

"dnf update" complains about "broken dependencies" which is wrong as well (this actually is bug #1270451) but at least it honors the priority-setting of my repo and skips to update my packages.


But hawkey does not care about this:
With KDE's "apper" or the cli-application "pkcon get-updates/update" all "available updates" for my own packages with priority-setting will be listed & finally overwritten!


Version-Release number of selected component (if applicable):
hawkey-0.6.2-1.fc22.x86_64

How reproducible:
Always


Actual results:
hawkey overwrites my packages with priority-setting.


Expected results:
hawkey does not overwrite my packages.
Comment 1 Honza Silhan 2015-11-09 08:51:43 EST
Please, try it with DNF - it should work (report it otherwise). I consider this a PK or apper bug. I guess the priority config is not propagated.
Comment 2 MaxiPunkt 2015-11-09 11:34:55 EST
I already tried to point out that the behaviour of DNF in general is o.k. - beside the misleading warning-message about "broken dependencies".

But "packagekit" & "apper" actually do overwrite packages with high priority.


I might be wrong here but I thought that "under the hood" of packagekit & apper there is hawkey - which most likely might be the root-cause for this issue.

This is why I initially filled the report against hawkey.
Comment 3 MaxiPunkt 2016-03-02 05:30:59 EST
This bug is also valid for FC23:

While functionality for DNF is ok, PackageKit-based programs (KDE4-apper, KF5-plasma-pk-updates, pkcon get-updates/update) will always overwrite/update packages having a lower version-No or release-No, regardless of the repo priority-settings.

Btw. - before the replacement yum => dnf/hawkey happened, this used to work for sure (KDE-apper in FC20)...
Comment 4 Fedora End Of Life 2016-11-24 08:10:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 10:29:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 MaxiPunkt 2017-01-07 11:28:07 EST
Hi there,

this bug unfortunately is still valid in FC25.

While CLI-program "dnf" works as expected, PackageKit-based applications (apper, plasma-pk-updates) will update packages of my local repo, although it has higher priority-setting (see comment#1).

This bug was introduced when yum-backend for PackageKit was retired.
Comment 7 Fedora End Of Life 2017-11-16 13:50:17 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-12-12 06:10:37 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.